Bug 486476 - Review Request: xfce4-power-manager - Power management for the Xfce desktop environment
Review Request: xfce4-power-manager - Power management for the Xfce desktop e...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-19 17:17 EST by Christoph Wickert
Modified: 2014-09-20 23:31 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-20 18:16:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2009-02-19 17:17:55 EST
Spec URL: http://cwickert.fedorapeople.org/review/xfce4-power-manager.spec
SRPM URL: http://cwickert.fedorapeople.org/review/xfce4-power-manager-0.6.2-1.fc11.src.rpm
Description: Xfce Power Manager uses the information and facilities provided by HAL to display icons and handle user callbacks in an interactive Xfce session.
Xfce Power Preferences allows authorised users to set policy and change 
preferences.
Comment 1 Kevin Fenzi 2009-02-19 19:34:15 EST
I'll review this. Look for a review later tonight or tomorrow...
Comment 2 Kevin Fenzi 2009-02-19 21:38:22 EST
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (GPLv2+)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
923d4dba39b1f313631b636e7b5d772d  xfce4-power-manager-0.6.2.tar.bz2
923d4dba39b1f313631b636e7b5d772d  xfce4-power-manager-0.6.2.tar.bz2.orig
OK - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package is a GUI app and has a .desktop file

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. rpmlint says: 

xfce4-power-manager.x86_64: W: non-conffile-in-etc /etc/xdg/autostart/xfce4-power-manager.desktop

I think this can be ignored. No one should be editing xdg autostart files
should they?

2. Don't include a --vendor in the desktop file install, per: 
http://fedoraproject.org/wiki/Packaging/Guidelines

Or is --vendor="" the same as no vendor?

I don't see any other blockers here... if you can address the --vendor
thing before importing that could be good, otherwise this package is 
APPROVED.
Comment 3 Christoph Wickert 2009-02-19 22:23:14 EST
(In reply to comment #2)

> 1. rpmlint says: 
> 
> xfce4-power-manager.x86_64: W: non-conffile-in-etc
> /etc/xdg/autostart/xfce4-power-manager.desktop
> 
> I think this can be ignored. No one should be editing xdg autostart files
> should they?

No, they people cannot edit them, at least not through xfce4-autostart-editor. I'm afraid if I mark it %config the rpmnew/rpmold files could confuse the autostart.

> 2. Don't include a --vendor in the desktop file install, per: 
> http://fedoraproject.org/wiki/Packaging/Guidelines
> 
> Or is --vendor="" the same as no vendor?

Yes, see https://fedoraproject.org/w/index.php?title=Packaging:Guidelines&oldid=49388#desktop-file-install_usage

Nevertheless I'll remove it, too. Thanks for the review!


New Package CVS Request
=======================
Package Name: xfce4-power-manager
Short Description: Power management for the Xfce desktop environment
Owners: cwickert
Branches: F11  (needs xfconf, so only F11 will suffice)
Comment 4 Kevin Fenzi 2009-02-20 15:16:48 EST
cvs done.
Comment 5 Christoph Wickert 2009-02-20 18:16:04 EST
1143444 build (dist-f11, /cvs/pkgs:rpms/xfce4-power-manager/devel:xfce4-power-manager-0_6_2-1_fc11) completed successfully

Closing.
Comment 6 Christoph Wickert 2009-04-04 17:58:58 EDT
I request early branching for xfce4-power-manager-0.8-alpha.

Package Change Request
======================
Package Name: xfce4-power-manager
New Branches: F-11
Comment 7 Kevin Fenzi 2009-04-06 23:19:02 EDT
cvs done.
Comment 8 Mukundan Ragavan 2014-09-20 23:21:19 EDT
Package Change Request
======================
Package Name: xfce4-power-manager
New Branches: epel7
Owners: cwickert nonamedotc
Comment 9 Gwyn Ciesla 2014-09-20 23:31:12 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.